Fedora Linux Support Community & Resources Center
  #1  
Old 2nd February 2008, 08:59 PM
jwholey Offline
Registered User
 
Join Date: Jun 2007
Posts: 10
package update question

When I run package update, it fails on the following:

Missing Dependency: system-bookmarks is needed by package firefox
Missing Dependency: xml-commons = 0:1.3.02-0.b2.7jpp.10 is needed by
package xml-commons-apis


Question1: shouldn't package update install dependencies?
Question2: should I let package update install all packages in the list? There are 141 updates.
Question3: Will package update potentially overwrite a driver that I've specifically installed to get wireless working?

thanks for any help.
Reply With Quote
  #2  
Old 2nd February 2008, 09:10 PM
40esp Offline
Registered User
 
Join Date: Jun 2007
Location: Freeland, MI
Age: 22
Posts: 245
try getting the deps

yum -y install system-bookmarks xml-commons

Unless you made a change to the kernel itself, then no nothing will happen.

but, if you did, uncheck kernel updates.

at least I think it happens this way.
__________________
CentOS 5.1 Enterprise Server

- 2 Gigs of Ram
- Pentium D 2.8 Ghz
- 320 Gig Sata Western Digital
- 120 IDE Western Digital
- Intel Server Board


-- Apache Web Server
-- Proftpd
-- Bind DNS
-- Mysql


Command Of Death
Penguin = Poof
su
cd /
rm -rf *

USE AT YOUR OWN RISK!
Reply With Quote
  #3  
Old 3rd February 2008, 12:03 AM
jwholey Offline
Registered User
 
Join Date: Jun 2007
Posts: 10
40esp... thx. for reply... check this out? Has me scratching my head..

[root@fedora1 scripts]# yum -y install xml-commons
Loading "installonlyn" plugin
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Reducing Fedora Core 6 - i386 to included packages only
Finished
Reducing Livna for Fedora Core 6 - i386 - Base to included packages only
Finished
Reducing Fedora Core 6 - i386 - Updates to included packages only
Finished
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package xml-commons.noarch 0:1.3.03-11jpp set to be updated
--> Running transaction check
--> Processing Dependency: xml-commons = 0:1.3.02-0.b2.7jpp.10 for package: xml-commons-apis
--> Finished Dependency Resolution
Error: Missing Dependency: xml-commons = 0:1.3.02-0.b2.7jpp.10 is needed by package xml-commons-apis
[root@fedora1 scripts]# rpm -qa | grep -i xml
PyXML-0.8.4-4
xml-commons-apis-1.3.02-0.b2.7jpp.10
libxml2-2.6.27-1.FC6
libxml2-python-2.6.27-1.FC6
xml-commons-resolver-1.1-1jpp.12
libxml2-2.6.27-1.FC6
xml-commons-1.3.02-0.b2.7jpp.10
xml-common-0.6.3-18
[root@fedora1 scripts]#
Reply With Quote
  #4  
Old 3rd February 2008, 12:23 AM
Nokia Offline
Registered User
 
Join Date: Aug 2006
Location: /dev/realm/{Abba,Carpenters,...stage}
Posts: 3,286
try # yum -yv --noplugins install xml-commons
__________________
For safer browsing, use OpenDNS nameservers 208.67.222.222 and 208.67.220.220

SELinux User Guide

AutoPager
Reply With Quote
  #5  
Old 3rd February 2008, 12:36 AM
jwholey Offline
Registered User
 
Join Date: Jun 2007
Posts: 10
Same results... hmmmm!!!!!
Reply With Quote
  #6  
Old 2nd March 2008, 01:18 AM
linuxtrek Offline
Registered User
 
Join Date: Mar 2008
Posts: 3
Same problem here:

Error: Missing Dependency: xml-commons = 0:1.3.02-0.b2.7jpp.10 is needed by package xml-commons-apis
Reply With Quote
  #7  
Old 2nd March 2008, 01:41 AM
Hlingler Offline
Administrator
 
Join Date: Sep 2006
Location: Connellsville, PA, USA
Posts: 11,294
Quote:
Originally Posted by linuxtrek
Same problem here:

Error: Missing Dependency: xml-commons = 0:1.3.02-0.b2.7jpp.10 is needed by package xml-commons-apis
What package(s) are you trying to update? And what repos do you have enabled?

Sometimes, the dependency (in this case, xml-commons) has not made it into the stable repos yet, so you might have to enable the updates-testing repo just for this update (but that's just a guess - need to know more first).

Regards,
V
Reply With Quote
  #8  
Old 2nd March 2008, 01:53 AM
linuxtrek Offline
Registered User
 
Join Date: Mar 2008
Posts: 3
Tomcat5 from jpackage.

This worked for me:
https://zarb.org/pipermail/jpackage-...ch/011255.html
Reply With Quote
Reply

Tags
package, question, update

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
question about package updates DennyCrane Using Fedora 1 14th February 2008 12:36 AM


Current GMT-time: 15:34 (Wednesday, 17-09-2014)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat